apiVersion: apps/v1
kind: Deployment
metadata:
  name: content-service
  namespace: kt-event-marketing
  labels:
    app: content-service
spec:
  replicas: 1
  selector:
    matchLabels:
      app: content-service
  template:
    metadata:
      labels:
        app: content-service
    spec:
      containers:
      - name: content-service
        image: acrdigitalgarage01.azurecr.io/content-service:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 8084
          name: http
          protocol: TCP
        envFrom:
        - configMapRef:
            name: cm-common
        - configMapRef:
            name: cm-content-service
        - secretRef:
            name: secret-common
        - secretRef:
            name: secret-content-service
        resources:
          requests:
            cpu: 256m
            memory: 512Mi
          limits:
            cpu: 1024m
            memory: 1024Mi
        startupProbe:
          httpGet:
            path: /api/v1/content/actuator/health
            port: 8084
          initialDelaySeconds: 30
          periodSeconds: 10
          failureThreshold: 30
        livenessProbe:
          httpGet:
            path: /api/v1/content/actuator/health/liveness
            port: 8084
          initialDelaySeconds: 30
          periodSeconds: 10
          failureThreshold: 3
        readinessProbe:
          httpGet:
            path: /api/v1/content/actuator/health/readiness
            port: 8084
          initialDelaySeconds: 10
          periodSeconds: 5
          failureThreshold: 3
      imagePullSecrets:
      - name: kt-event-marketing
